<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1D3D9Device.html">D3D9Device</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::D3D9Device Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#a362204ef98d807a7a8410adbd0b5afe8">acquire</a>()</td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#af0bfa56f845867ae108abc6d73edd1f2">acquire</a>(D3D9RenderWindow *renderWindow)</td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#abb04f050b15829dac518dc412170d630">acquireRenderWindowResources</a>(RenderWindowToResourcesIterator it)</td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#a7ae639c9104a6d61bdbc338783dfe792">attachRenderWindow</a>(D3D9RenderWindow *renderWindow)</td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#a535088d3d9f1919aa2712f3d66191c72">clearDeviceStreams</a>()</td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#aecc6cd01b5ff202f314a3a21324aa473">copyContentsToMemory</a>(D3D9RenderWindow *window, const PixelBox &amp;dst, RenderTarget::FrameBuffer buffer)</td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#aa4d630a25dfbd163de0d2511ff7346a4">createD3D9Device</a>()</td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#a1bb39088c2b154bbd1493e01ec9be613">D3D9Device</a>(D3D9DeviceManager *deviceManager, UINT adapterNumber, HMONITOR hMonitor, D3DDEVTYPE devType, DWORD behaviorFlags)</td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#aec82c6ec0be39f7ecb3e0d165125a540">D3D9DeviceManager</a> class</td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#a2aa03fdbd75af77c8c201ba964251536">D3D9RenderSystem</a> class</td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#ae88dff1966c8322af5ec3f7524a6f78b">destroy</a>()</td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#ad5c3c4ed8f68bb6066536afe65f59b37">detachRenderWindow</a>(D3D9RenderWindow *renderWindow)</td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#a2a1e56d83e3293b1a0a01c675a4b0e13">getAdapterNumber</a>() const </td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#acf4b8ded85d5f1aa9bcc9221a8bd4610">getBackBuffer</a>(D3D9RenderWindow *renderWindow)</td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#a3c2d8e57f33764a3ea4d9dc55621e4eb">getBackBufferFormat</a>() const </td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#a2c209e9f98b747bcd10b451b54ff550f">getD3D9Device</a>()</td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#aabc8708ad748b6e25c98db231db39047">getD3D9DeviceCaps</a>() const </td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#a8e195a845ed22e0215d42abbc75d744e">getDepthBuffer</a>(D3D9RenderWindow *renderWindow)</td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#a77390bc3a95350867bbf6ef27459158e">getDeviceType</a>() const </td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#a638f8f64f8b69d399fbd0b229ba17257">getLastPresentFrame</a>() const </td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#a37df58795e3ae5eded3797244d5497de">getPrimaryWindow</a>()</td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#a22661d7474b0df8498da8b4d07c7dfaa">getRenderWindow</a>(uint index)</td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#ad8aa9f54e191e1e7f3954ab57f649ad0">getRenderWindowCount</a>() const </td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#a3d4f0120ffdb1a1469c4d898bc5e56c3">getRenderWindowIterator</a>(D3D9RenderWindow *renderWindow)</td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#a149159ae35779a294f9ec582257c46fc">invalidate</a>(D3D9RenderWindow *renderWindow)</td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#a2e6e9a03fdd07aec49750d9c672ed278">isAutoDepthStencil</a>() const </td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#aee02d5f051e9c5fd03c07991267594b0">isDeviceLost</a>()</td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#a1283f652c9904bcf45592c3b3986f897">isFullScreen</a>() const </td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#a9b17dbd6e3713aead2eddbaa9ab5c452">isMultihead</a>() const </td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#aa25fcb165800e44e7abbe0867e519668">isSwapChainWindow</a>(D3D9RenderWindow *renderWindow)</td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#af5eddd4747e882b9e7cace1f1e55f00b">mAdapterNumber</a></td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#a16a4bb652c5db85576d22274ea769eaa">mBehaviorFlags</a></td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#af87f3905ce1704b83d64a3cab3dec4cb">mCreationParams</a></td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#a7b995adfca2cbfc38d8240002c3f49c1">mD3D9DeviceCaps</a></td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#a2eec6af8cd486f36e9ddaee2fe5121de">mD3D9DeviceCapsValid</a></td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#a74f4debbfef8744e1f2de5e61abfdeed">mDevice</a></td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#ab5e3316e0e6a7bf5b550577d34cd744f">mDeviceLost</a></td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#a9ec1fca41b0e76142d235797847c1340">mDeviceManager</a></td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#a9b68164f21305d08aff888810faccba0">mDeviceType</a></td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#a8bac526f9dfe3204dea2b39208407291">mFocusWindow</a></td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#a3e874ea5a466a35d9f8a8633e26f0193">mLastPresentFrame</a></td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#a619b3f0797e321008988124e24b86ec6">mMapRenderWindowToResources</a></td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#a0f1ea453da36b9686c0470c44537a3bf">mMonitor</a></td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#aabb340280b2899b9e11c6a9994457ac4">mPresentationParams</a></td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#a4f10a344f1475c3014f1711d84627c71">mPresentationParamsCount</a></td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#a8a6e83cff23b7d7750291bbdbf3575fb">msSharedFocusWindow</a></td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#afb1f07531f8c3570a9fbc47fdd7eed6b">notifyDeviceLost</a>()</td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#aa6c619c384532420633261115742d463">present</a>(D3D9RenderWindow *renderWindow)</td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#a50d59e74869778d21bf16610604aeb0d">release</a>()</td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#afb2cdc531496fc728fddae9902b0ab0f">releaseD3D9Device</a>()</td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#ae3e1b583e001d10a1fa4235f09c651e3">releaseRenderWindowResources</a>(RenderWindowResources *renderWindowResources)</td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#a58c3ba4b392620e6fc74f9d47e9bd601">RenderWindowToResourcesIterator</a> typedef</td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#a07bbc9f085f17ece1b51ea4dde7bd701">RenderWindowToResourcesMap</a> typedef</td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#affd285b8863db02e9f3fda6a3ebae601">reset</a>()</td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#a3461e2ac423c9edb65aaf9f3555dc014">setAdapterOrdinalIndex</a>(D3D9RenderWindow *renderWindow, uint adapterOrdinalInGroupIndex)</td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#a590785b22aac2e6a1540cc44fe878662">setSharedWindowHandle</a>(HWND hSharedHWND)</td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#a62a6072caf9bc80b0461cebb5eb1c854">setupDeviceStates</a>()</td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#a53eb2ef4e15bae2a1e6ed97958e2c551">updatePresentationParameters</a>()</td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#adf6e2f44821ccdaee2907a9fd0272cb4">updateRenderWindowsIndices</a>()</td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#ab3a2c04eea559775392ba8ca816d696a">validate</a>(D3D9RenderWindow *renderWindow)</td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#a5121ccbdcece40766bc19d0c4d4307a6">validateBackBufferSize</a>(D3D9RenderWindow *renderWindow)</td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#ae4743aa18953548f2a52a9530de5d2f2">validateDeviceState</a>(D3D9RenderWindow *renderWindow)</td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#ab11503b856742c3c73294306256640ed">validateDisplayMonitor</a>(D3D9RenderWindow *renderWindow)</td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#a8dfd3c8936afe5d66b9aff40dd10f2e2">validateFocusWindow</a>()</td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9Device.html#a924a7bab99b796cccffec3b2b76d0968">~D3D9Device</a>()</td><td><a class="el" href="classOgre_1_1D3D9Device.html">Ogre::D3D9Device</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:15
</p>
</body>
</html>
